Records
Upsert record
Create or update a record based on unique values.
POST
cURL
Overview
Upsert a record to keep data from another system current in Unify. A matching record is updated. If no record matches, a new record is created. The request body accepts the following properties which specify how to create or update the record:
You must specify
match and one of create, create_or_update, or create_or_update_if_empty.
All other properties are optional.
Examples
SetUNIFY_API_KEY to your API key.
Keep company data current
Keep company data current
This request creates Northstar Labs if its
domain is missing, or updates its name and description if it already exists:
Fill missing person and company details
Fill missing person and company details
Use “Empty” means the current value is
create_or_update_if_empty to preserve populated attributes. In this
example, both the person and the referenced company are created if needed:null. The response returns the resulting
record in data.Sync a custom record
Sync a custom record
For a Create the custom object and attributes before sending this request. The
attribute values must match their configured types and select options.
product_user object with a unique user_id, use the external user’s ID
as the match key:Path Parameters
Query Parameters
Validation mode for request data.
strict: Reject requests if any attribute is invalid or unrecognized.ignore_invalid: Ignore unknown attributes and omit invalid values for optional attributes. Reject requests with an invalid body structure or invalid required attributes.
Available options:
strict, ignore_invalid Body
application/json
Request body for upserting a record.
At least one of create, create_or_update, or create_or_update_if_empty
must be provided. Together, these properties must include all required
attributes.
cURL